Package org.apache.cxf.service.model

# Class BindingFaultInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.BindingFaultInfo

All Implemented Interfaces:
  `Extensible`

public class BindingFaultInfo extends AbstractPropertiesHolder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingFaultInfo(FaultInfo f, BindingOperationInfo info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BindingOperationInfo`
  `getBindingOperation()`
  `FaultInfo`
  `getFaultInfo()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BindingFaultInfo

    public BindingFaultInfo(FaultInfo f, BindingOperationInfo info)

- ## Method Details

  - ### getFaultInfo

    public FaultInfo getFaultInfo()

  - ### getBindingOperation

    public BindingOperationInfo getBindingOperation()